Back
get /v2/organizations/{organizationId}/spaces/{spaceId}/members

List space members

Returns members of a space using cursor-based pagination. Defaults to active members. Repeat the status query parameter to include other membership states, for example status=SPACE_MEMBER_STATUS_ACTIVE&status=SPACE_MEMBER_STATUS_DELETED.

path params

organizationIdstring required
spaceIdstring required

query params

cursorstring
limitinteger
statusarray of strings

Omit for active members only. Repeat status to include multiple states.

Enum values:
SPACE_MEMBER_STATUS_UNSPECIFIED
SPACE_MEMBER_STATUS_PROCESSING
SPACE_MEMBER_STATUS_REQUESTED
SPACE_MEMBER_STATUS_ACTIVE
SPACE_MEMBER_STATUS_REMOVED
SPACE_MEMBER_STATUS_LEFT
SPACE_MEMBER_STATUS_DENIED
SPACE_MEMBER_STATUS_DELETED

Responses

Was this guide helpful?